﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Dynamic;
using System.Collections.ObjectModel;
using System.Diagnostics;

namespace SilverlightApplication2
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            List<Person> data = new List<Person>();
            data.Add(new Person() { Name = "person1", Age = 10 });
            data.Add(new Person() { Name = "person2", Age = 20 });
            data.Add(new Person() { Name = "person3", Age = 30 });
            data.Add(new Person() { Name = "person4", Age = 40 });
            data.Add(new Person() { Name = "person5", Age = 50 });
            this.DataContext = data;
            
        }

        private void Grid_MouseLeftButtonDown(object sender, MouseButtonEventArgs e)
        {
            CheckBox cb = ((sender as Grid).Children[3] as StackPanel).Children[0] as CheckBox;

            if (xamComboEditor1.SelectedItems.Count == 2 && cb.IsChecked != true)
            {
                Dispatcher.BeginInvoke(new Action(() =>
                {
                    xamComboEditor1.SelectedItems.RemoveAt(xamComboEditor1.SelectedItems.Count - 1);
                }));
            }           
        }
    }

    public class Person
    {
        public int Age { get; set; }
        public string Name { get; set; }
    }
}
